---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: vault-secrets-operator
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    chart: vault-secrets-operator
    repoURL: https://ricoberger.github.io/helm-charts
    targetRevision: 1.14.5
    helm:
      values: |
        vault:
          authMethod: kubernetes
          reconciliationTime: 60
          address: http://orion.kektus.xyz:8201
        resources:
          requests:
            cpu: 50m
            memory: 128Mi
  destination:
    name: in-cluster
    namespace: vault-secrets-operator
  syncPolicy:
    automated:
      prune: true
  ignoreDifferences:
    - group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      name: vaultsecrets.ricoberger.de
      jsonPointers:
        - /metadata/labels
